Update Item Inventory

Updates the current inventory levels for a particular SKU item. Updates may be given in one or two methods, absolutely or incrementally. - Absolute updates are done by setting `quantity` directly. - Incremental updates are by specifying the inventory delta in `updateQuantity` which is then added to the `quantity` stored on the server. Required scope | `ecommerce:write`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sku_collection_idstringRequiredformat: "objectid"
Unique identifier for a SKU collection. Use the List Collections API to find this ID.
sku_idstringRequiredformat: "objectid"
Unique identifier for a SKU

Request

The updated inventory
inventoryTypeenumRequired
infinite or finite
Allowed values:
updateQuantitydoubleOptional
Adds this quantity to currently store quantity. Can be negative.
quantitydoubleOptional
Immediately sets quantity to this value.

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for a SKU item
quantitydouble

Total quantity of items remaining in inventory (if inventoryType is finite)

inventoryTypeenum
infinite or finite

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error